#### D.4.12.4 henselGlobal

Procedure from library `integralbasis.lib` (see integralbasis_lib).

Usage:
  henselGlobal(f,g,h,order); h is polynomial in x and y. f and g are polynomials in y such that f(y)*g(y) = h(0,y) and <f, g> = 1.

Return:
  polynomials f1 and g1 such that
  1) h = f1*g1 up to the required order in x.
  2) f1(0,y) = f, g1(0,y) = g

Example:

    LIB "integralbasis.lib";
    ring R = 0, (x,y), dp;
    // Polynomial of degree 6 in y with an ordinary multiple point
    // at the origin of order k.
    poly h = (y2 + 3xy + x3 + x4)*(y3 + 2x + 1);
    poly f = y2;
    poly g = y3 + 1;
    henselGlobal(f, g, h, 3);
    ==> [1]:
    ==>    x3+3xy+y2
    ==> [2]:
    ==>    y3+2x+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.